# ACE_Pagefile_Memory_Pool_Options Class Reference

Helper class for Pagefile Memory Pool constructor options. More...

`#include <Pagefile_Memory_Pool.h>`

List of all members.

## Public Member Functions

| ACE_Pagefile_Memory_Pool_Options (void *base_addr=ACE_DEFAULT_PAGEFILE_POOL_BASE, size_t max_size=ACE_DEFAULT_PAGEFILE_POOL_SIZE)
| Initialization method.

## Public Attributes

void * | base_addr_
| Base address of the memory-mapped backing store.
size_t | max_size_
| Maximum size the pool may grow.

## Detailed Description

Helper class for Pagefile Memory Pool constructor options.

This should be a nested class, but that breaks too many compilers.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Pagefile_Memory_Pool_Options::ACE_Pagefile_Memory_Pool_Options | ( | void * | base_addr = `ACE_DEFAULT_PAGEFILE_POOL_BASE`,
|  | size_t | max_size = `ACE_DEFAULT_PAGEFILE_POOL_SIZE`
| ) |

| Initialization method.

## Member Data Documentation

void* ACE_Pagefile_Memory_Pool_Options::base_addr_

| Base address of the memory-mapped backing store.

size_t ACE_Pagefile_Memory_Pool_Options::max_size_

| Maximum size the pool may grow.

The documentation for this class was generated from the following files:

- Pagefile_Memory_Pool.h
- Pagefile_Memory_Pool.cpp